package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * DHCPL2RelaySettings
 */
@ApiModel(description = "DHCPL2RelaySettings")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DhcpL2RelayEntity   {
  @JsonProperty("enable")
  private Boolean enable;

  @JsonProperty("format")
  private Integer format;

  public DhcpL2RelayEntity enable(Boolean enable) {
    this.enable = enable;
    return this;
  }

  /**
   * Enable
   * @return enable
  */
  @ApiModelProperty(value = "Enable")


  public Boolean getEnable() {
    return enable;
  }

  public void setEnable(Boolean enable) {
    this.enable = enable;
  }

  public DhcpL2RelayEntity format(Integer format) {
    this.format = format;
    return this;
  }

  /**
   * Format should be a value as follows: 0: normal, 1: private
   * @return format
  */
  @ApiModelProperty(value = "Format should be a value as follows: 0: normal, 1: private")


  public Integer getFormat() {
    return format;
  }

  public void setFormat(Integer format) {
    this.format = format;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DhcpL2RelayEntity dhcpL2RelayEntity = (DhcpL2RelayEntity) o;
    return Objects.equals(this.enable, dhcpL2RelayEntity.enable) &&
        Objects.equals(this.format, dhcpL2RelayEntity.format);
  }

  @Override
  public int hashCode() {
    return Objects.hash(enable, format);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DhcpL2RelayEntity {\n");
    
    sb.append("    enable: ").append(toIndentedString(enable)).append("\n");
    sb.append("    format: ").append(toIndentedString(format)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

